Directly uploads a Go module. The returned Operation will complete once the Go module is uploaded. Package, Version, and File resources are created based on the uploaded Go module.
HTTP request
* Upload URI, for media upload requests:
POST https://artifactregistry.googleapis.com/upload/v1/{parent=projects/*/locations/*/repositories/*}/goModules:create * Metadata URI, for metadata-only requests:POST https://artifactregistry.googleapis.com/v1/{parent=projects/*/locations/*/repositories/*}/goModules:create The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
The resource name of the repository where the Go module will be uploaded. Authorization requires the following IAM permission on the specified resource
|
Request body
The request body must be empty.
Response body
The response to upload a Go module.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"operation": {
object ( |
| Fields | |
|---|---|
operation |
Operation to be returned to the user. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.